summaryrefslogtreecommitdiffstats
path: root/games/warmux
diff options
context:
space:
mode:
author Heinz Wiesinger2011-04-01 23:12:19 +0200
committer Heinz Wiesinger2011-04-01 23:12:19 +0200
commit53c832ed33e4a336aaab52a862ddfbc532116a5a (patch)
tree735b811119d51a23b019fa7cc0884cb22bd2d6e7 /games/warmux
parenta6656472f093540b2ab5e5396eddf38f9edda9e2 (diff)
downloadslackbuilds-53c832ed33e4a336aaab52a862ddfbc532116a5a.tar.gz
games/warmux: Renamed from wormux and upgraded for version 11.01
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'games/warmux')
-rw-r--r--games/warmux/README16
-rw-r--r--games/warmux/doinst.sh4
-rw-r--r--games/warmux/slack-desc19
-rw-r--r--games/warmux/warmux.SlackBuild102
-rw-r--r--games/warmux/warmux.info10
5 files changed, 151 insertions, 0 deletions
diff --git a/games/warmux/README b/games/warmux/README
new file mode 100644
index 0000000000..e42534f3ce
--- /dev/null
+++ b/games/warmux/README
@@ -0,0 +1,16 @@
+Warmux - War is declared !
+
+Have the mascots of your favorite free softwares battle in the Warmux arena.
+Using dynamite, grenades, baseball bat and others bazookas,... exterminate
+your opponent in a 2D toon style scenery and a funny environment.
+
+Each player (2 minimum on the same PC or network game with 0.8 version)
+controls the team of his choice (penguin, gnu, firefox, wilber,...) and must
+destroy his adversary using more or less casual weapons.
+
+Although a minimum of strategy is required to vanquish, Warmux is
+pre-eminently a "convivial mass murder" game where, turn by turn, each
+member of each team attempts to produce a maximum of damage to his opponents.
+
+Dependencies:
+ libsigc++, glibmm, libxml++, and SDL_gfx (all avaiable on slackbuilds.org)
diff --git a/games/warmux/doinst.sh b/games/warmux/doinst.sh
new file mode 100644
index 0000000000..65fd352418
--- /dev/null
+++ b/games/warmux/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/warmux/slack-desc b/games/warmux/slack-desc
new file mode 100644
index 0000000000..725d82dcbc
--- /dev/null
+++ b/games/warmux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+warmux: Warmux (Worms linux/unix clone)
+warmux:
+warmux: Have the mascots of your favorite free softwares battle in the Warmux
+warmux: arena. Using dynamite, grenades, baseball bat and others bazookas,...
+warmux: exterminate your opponent in a 2D toon style scenery and a funny
+warmux: environment.
+warmux:
+warmux: Homepage: http://www.wormux.org
+warmux:
+warmux:
+warmux:
diff --git a/games/warmux/warmux.SlackBuild b/games/warmux/warmux.SlackBuild
new file mode 100644
index 0000000000..a79a64ac20
--- /dev/null
+++ b/games/warmux/warmux.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for warmux
+
+# Copyright 2007 Adnan Hodzic aka AbsintheSyringe <AbsintheSyringe@gmail.com>
+# Copyright 2008-2011 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=warmux
+VERSION=11.01
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-fribidi \
+ --enable-servers \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/warmux/warmux.info b/games/warmux/warmux.info
new file mode 100644
index 0000000000..365ba582a2
--- /dev/null
+++ b/games/warmux/warmux.info
@@ -0,0 +1,10 @@
+PRGNAM="warmux"
+VERSION="11.01"
+HOMEPAGE="http://www.wormux.org/phpboost/news/news.php"
+DOWNLOAD="http://download.gna.org/warmux/warmux-11.01.tar.bz2"
+MD5SUM="ecf98ff1a91899d35d0ba8266ace9787"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"